<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF Student page</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>

<!-- Navigation Start -->
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="index.html">
	  	<img src="../images/logo.png" alt="" class="img-fluid">
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

		  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">
			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

        <li class="nav-item dropdown">
         <a class="nav-link dropdown-toggle" href="#" id="dropdown05" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Fab Academy</a>
         <ul class="dropdown-menu" aria-labelledby="dropdown05">

           <li><a class="dropdown-item" href="1.html">1. Principles & Project Management</a></li>
           <li><a class="dropdown-item" href="2.html">2. Computer-aided Design</a></li>
           <li><a class="dropdown-item" href="3.html">3. Computer-controlled Cutting</a></li>
           <li><a class="dropdown-item" href="4.html">4. Electronics Production</a></li>
           <li><a class="dropdown-item" href="5.html">5. 3D Scanning and Printing</a></li>
           <li><a class="dropdown-item" href="6.html">6. Electronics Design</a></li>
           <li><a class="dropdown-item" href="7.html">7. Computer-controlled Machining</a></li>
           <li><a class="dropdown-item" href="8.html">8. Embedded Programming</a></li>
           <li><a class="dropdown-item" href="9.html">9. Input Devices</a></li>
           <li><a class="dropdown-item" href="10.html">10. Applications and Implications</a></li>
           <li><a class="dropdown-item" href="11.html">11. Output Devices</a></li>
           <li><a class="dropdown-item" href="12.html">12. Interface and Application Programming</a></li>
           <li><a class="dropdown-item" href="13.html">13. Invention, Intellectual property and income</a></li>
           <li><a class="dropdown-item" href="14.html">14. Networking</a></li>
           <li><a class="dropdown-item" href="15.html">15. Molding and Casting</a></li>
           <li><a class="dropdown-item" href="16.html">16. Wildcard Week</a></li>


			</ul>
		</div>
	</div>
</nav>

<!-- Header Close -->

<!-- Text start -->

<section class="section banner-3">
	<div class="container">
		<div class="row justify-content-center align-items-center">

			<div class="col-lg-7">
				<h2>Fab Academy Week 4</h2>
          <br><br>
This topic for this week is Electronics Production. During this week we were to work together in groups of two people. My partner for this week was Wongsathon.

The skills needed are:
Soldering
CNC milling
<br><br>

<b>Machine used</b>: Roland SRM-20 Desktop Milling machine
<br><br>
<b>Components used for LED badge</b>
  <ul>
    <li>5 x Red 1206 SMD LEDs </li>
    <li>5 x Green 1206 SMD LEDs </li>
    <li>5 x 100 Ohm 1206 SMD Resistors</li>

  </ul>
  <br><br>
  <b>Components used for USB to FTDI badge</b>
    <ul>
      <li>Integrated Circuit - FT230XS </li>
      <li>Capacitor 1: 1µF</li>
      <li>2x Capacitor 2: 10pF</li>
      <li>2x Resistor: 49 Ohm</li>
      <li>J2 Serial</li>

    </ul>
    <br><br>
<h3>Two tasks had to be done.</h3>
<br>
1. Make a LED badge
<br>
2. Make a USB to FTDI (Future Technology Deveices International - application-specific integrated circuit)
<br><br><br>

<h3>LED Badge</h3><br>
    On the LED badge we had to create the template for the CNC mill, to mill away the copper, to make our PCB.
<br>
    We used a mod to prepare the file for the CNC mill.
<br>
    The png files provided by FabAcademy was uploaded into the mods program through which we prepared the file for the cnc cutter - adjusting the contols for the cutting speed. From the mod, two files were exported, one for the outline cutting,and one for the interior.
    <br><br>
    The photo below shows the outline and engrave traces for the CNC milling and diagram for the cutter of the LED module.
    <br><br>
    <img src="images/4 Electronics production/ledmod.png" alt="" class="img-fluid">
    <br><br>
    To make the parameters for the PCP milling I used the mod from this website, provided by FabAcademy; <a href="http://mods.cba.mit.edu/">mod</a>
<br><br>
<ol>
  <li>Right-click and select programs</li>
  <li>Choose "Open server program"</li>
    <li>Choose Roland --> SRM20 --> PCB png</li>
    <li>Now the raw mods to our .rml file to the PCB mill shows</li>
    <li>Add the .png provided by FabAcademy</li>
    <li>Change settings to Roland SRM-20 milling machine to origin (0,0,0) and home (0,0,12) (x,y,z). </li>
    <li>Check that the cutting depth for trace (1/64) and outline (1/32) milling processes is set in the PCB defaults module.</li>
    <li>Click the calculate button in mill raster 2D module to calculate the toolpath</li>

</ol>
<br><br>
Here is a photo of the raw mod for the Roland SRM-20
<br>
<img src="images/4 Electronics production/rawmod.png" alt="" class="img-fluid">
<br><br>

Here is a photo of the mod when it is set up to be milled for the LEDbadge
<br>
<img src="images/4 Electronics production/cncprepare.png" alt="" class="img-fluid">

<br><br>

The traces for the milling of the LEDbadge.
<br>
<img src="images/4 Electronics production/trace.png" alt="" class="img-fluid">
    <br><br>
    The file was imported to vpanel which made the CNC execute the "program".<br>
    For the drilling we used a <b>1/32in drill bit for the outline milling</b> and <b>1/64th for trace milling.</b>
    <br>
    	<img src="images/4 Electronics production/vpanel.png" alt="" class="img-fluid">
      <br><br>
      When testing if the LED badge were working, we were so enthusiastic that we completely forgot to take a photo of it lighting.
      <br><br>
		<img src="images/4 Electronics production/pcb5.png" alt="" class="img-fluid">
    <br>
<br><br><br><br>

<h3>USB to FTDI </h3>
<br><br>
The second task is to create a USB to FTDI board, which can be programmed for future applications.
<br><br>
	<img src="images/4 Electronics production/usbmod.png" alt="" class="img-fluid">
  <br><br>
The milling process was made using the same mod as the LED badge by using the FabAcademy mods to create the .rml file for the trace and the outline  - by using the Roland SRM-20 mill.
<br><br>
<img src="images/4 Electronics production/outline.png" alt="" class="img-fluid">
<br><br>

Here is a photo of the mod when it is set up to be milled for the PCB trace for the FTDI
<br>
<img src="images/4 Electronics production/trace1.png" alt="" class="img-fluid">
<img src="images/4 Electronics production/pcb4.png" alt="" class="img-fluid">
<br><br>
When soldering we made sure that all components were located the correct places and in the right orientation.
<br><br>
<img src="images/4 Electronics production/soldering1.jpeg" alt="" class="img-fluid">
<br><br>
<img src="images/4 Electronics production/pcb1.jpeg" alt="" class="img-fluid">
<br><br>
Unfortunately did we not manage to make the USB to FTDI popup on a computer with the necessary FTDI <a href="https://www.ftdichip.com/FTDrivers.htm">software</a> installed
<br><br>
We did make sure that all the components had the right orientation and were located in the correct locations.
<br>
I think the malfunction was caused by the solderings between the PCP and the chip - because it looked like the there was not enough copper present underneath the chip to make a stable connection.
<br>
When using a multimeter we could conclude that a few (we forot to note which ones) of the pins did not connect with the PCP.
<br>
It would be necessary to mill a new PCP and re-solder all the components to make a working FTDI example.
<br><br><br>


<a href="files4.zip">Download Files here</a>

			</div>


			</div>
		</div>
	</div>
</section>

<!-- Text End -->

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
